> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.resemble.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.resemble.ai/_mcp/server.

# List Detect Agents

GET https://app.resemble.ai/api/v2/agents

Return all six managed Detect Agents available to the authenticated team.
Use an agent's `uuid` to run an investigation or retrieve its run history.
This endpoint does not accept pagination or filtering parameters.


Reference: https://docs.resemble.ai/api-reference/detect-agents/list-detect-agents

## Authentication

- `Authorization` header (bearer token, required) — API key from https://app.resemble.ai/hub/api

## Response

### 200

All six Detect Agents

- `success` (boolean, required)
- `items` (list of DetectAgent, required)
- `count` (integer, required)

## Errors

### 401 Unauthorized Error

Missing or invalid API key

- `success` (boolean, optional)
- `error` (string, optional)
- `errors` (map from string to list of string, optional)
- `message` (string, optional)

### 403 Forbidden Error

The account does not have Detect Agents access

- `success` (boolean, optional)
- `error` (string, optional)
- `errors` (map from string to list of string, optional)
- `message` (string, optional)

### 502 Bad Gateway Error

Detect Agents service unavailable

- `success` (boolean, optional)
- `error` (string, optional)
- `errors` (map from string to list of string, optional)
- `message` (string, optional)

## Types

### DetectAgent

A Resemble-managed Detect Agent available to the authenticated team.

- `id` (string, required) — Stable Detect Agent identifier. Currently the same as `uuid` and `preset_id`.
- `uuid` (string, required) — Stable identifier used by the run and history endpoints.
- `preset_id` (string, required) — Resemble-managed Detect Agent identifier.
- `name` (string, required)
- `tier` (enum, required) — Managed investigation depth. Informational and read-only.
  - Allowed values: `triage`, `investigation`, `forensic`
- `memory_preview` (string, required) — Read-only preview of patterns learned from previous investigations.
- `capabilities` (DetectAgentCapabilities, required) — Read-only feature flags for a managed Detect Agent.
- `activated` (boolean, required) — Whether this team has initialized backing state for the Detect Agent by running it.
- `description` (string, optional, nullable) — Verification workflow handled by the Detect Agent.
- `tagline` (string, optional, nullable) — Short description derived from the Detect Agent's managed instructions.
- `created_at` (datetime, optional, nullable) — Team backing-state creation time, or null before the first investigation.
- `updated_at` (datetime, optional, nullable) — Team backing-state update time, or null before the first investigation.

### DetectAgentCapabilities

Read-only feature flags for a managed Detect Agent.

- `media` (boolean, required)
- `reverse_search` (boolean, required)
- `identity` (boolean, required)
- `grounding` (boolean, required)
- `structured` (boolean, required)
- `tools` (boolean, required)
- `knowledge` (boolean, required)

## Examples

**Response**

```json
{
  "success": true,
  "items": [
    {
      "id": "verify_document",
      "uuid": "verify_document",
      "preset_id": "verify_document",
      "name": "Verify a Document or Receipt",
      "tier": "triage",
      "memory_preview": "string",
      "capabilities": {
        "media": true,
        "reverse_search": true,
        "identity": true,
        "grounding": true,
        "structured": true,
        "tools": true,
        "knowledge": true
      },
      "activated": true,
      "description": "string",
      "tagline": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "count": 6
}
```

**SDK Code**

```python
import requests

url = "https://app.resemble.ai/api/v2/agents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.resemble.ai/api/v2/agents';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.resemble.ai/api/v2/agents"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.resemble.ai/api/v2/agents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.resemble.ai/api/v2/agents")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.resemble.ai/api/v2/agents', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.resemble.ai/api/v2/agents");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.resemble.ai/api/v2/agents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```